<main class="mt-5 pt-4">
  <div class="container wow fadeIn">

    <h2 class="my-1 h2 text-center text-secondary">Checkout</h2>
    <h3 class="my-5 h3 text-center text-secondary">Antes de continuar te pedimos que revises que tu pedido esté correcto
    </h3>

    <div class="row">

      <div class="col-md-8 mb-4">

        <div class="card">
          <form class="card-body">

            <div class="row">
              <div class="col-md-6 mb-2">
                <div class="md-form ">
                  <label for="firstName" class="">Nombre(s) <span class="text-danger">*</span></label>
                  <input [(ngModel)]="nombres" name="nombres" class="form-control">
                </div>
              </div>

              <div class="col-md-6 mb-2">
                <div class="md-form pl-0 mb-5">
                  <label for="lastName" class="">Apellido(s) <span class="text-danger">*</span></label>
                  <input [(ngModel)]="apellidos" name="apellidos" class="form-control">
                </div>

              </div>
            </div>

            <div class="row">
              <div class="col-md-6 mb-2">
                <div class="md-form ">
                  <label for="numerotelefono">Teléfono <span class="text-danger">*</span></label>
                  <input [(ngModel)]="numeroTelefono" id="numerotelefono" name="numerotelefono" class="form-control"
                    placeholder="Número telefónico">
                </div>
              </div>

              <div class="col-md-6 mb-2">
                <div class="md-form pl-0 mb-5">
                  <label for="envio" class="">Envío <span class="text-danger">*</span></label>
                  <select [(ngModel)]="envio" [value]="envio" (ngModelChange)="updateShipmentPrice($event)"
                    class="form-control" name="envio" id="envio">
                    <option *ngFor="let envio of detallesEnvio" [value]="envio.id">${{envio.precio}}.00 {{envio.envio}}
                    </option>
                  </select>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="md-form mb-5">
                <label for="email" class="">Email <span class="text-danger">*</span></label>
                <input [(ngModel)]="email" name="email" id="email" class="form-control"
                  placeholder="juanito123@ejemplo.com">
              </div>
            </div>
            <div class="row">
              <div class="md-form mb-5">
                <label for="rfc" class="">RFC <span class="text-danger">*</span></label>
                <input [(ngModel)]="rfc" name="rfc" id="rfc" class="form-control">
              </div>
            </div>
            <div class="row">
              <div class="col-lg-4 col-md-6 mb-4">
                <label for="cp">Código Postal<span class="text-danger">*</span></label>
                <input [(ngModel)]="cp" name="cp" placeholder="Ej. 55498" (ngModelChange)="getAddressDataByCp($event)"
                  class="form-control" maxlength="5">
                <label for="cp">¿Cómo funciona? <a id="codigopostal" (click)="showInfo()"
                    class="text-info cursor-pointer">Click aqui</a></label>
              </div>
              <div class="col-lg-4 col-md-6 mb-4">
                <label for="estado">Estado <span class="text-danger">*</span></label>
                <input [(ngModel)]="estado" class="form-control" name="estado" id="estado" placeholder={{estado}}
                  disabled>
              </div>
              <div class="col-lg-4 col-md-6 mb-4">
                <label for="municipio">Municipio <span class="text-danger">*</span></label>
                <input [(ngModel)]="municipio" class="form-control" name="municipio" id="municipio"
                  placeholder={{municipio}} disabled>
              </div>
            </div>
            <div class="md-form mb-5">
              <label for="colonia">Colonia <span class="text-danger">*</span></label>
              <select [(ngModel)]="colonia" id="colonia" class="form-control" name="colonia">
                <option value="" selected disabled>Selecciona tu colonia</option>
                <option [value]="item.colonia" *ngFor="let item of listaColonias">{{item.colonia}}</option>
              </select>
            </div>
            <div class="md-form mb-5">
              <label for="direccion" class="">Dirección <span class="text-danger">*</span></label>
              <input [(ngModel)]="direccion" name="direccion" id="direccion" class="form-control"
                placeholder="Calle y número">
            </div>
            <div class="md-form mb-5">
              <label for="notas" class="">Notas de la orden</label>
              <textarea [(ngModel)]="notas" name="notas" id="notas" class="form-control"
                placeholder="Añade tus notas adicionales aquí"></textarea>
            </div>
            <hr>
            <button class="btn btn-primary btn-lg btn-block" (click)="setUserData()" [disabled]="disabled">Colocar
              pedido</button>
            <div *ngIf="loadingSpinner == true" class="d-flex justify-content-center">
              <mat-spinner></mat-spinner>
            </div>
          </form>

        </div>

      </div>
      <div class="col-md-4 mb-4">

        <h4 class="d-flex justify-content-between align-items-center mb-3">
          <span class="text-muted">Carrito: {{productosEnCarrito}}</span>
        </h4>

        <ul class="list-group mb-3 z-depth-1">
          <li class="list-group-item d-flex justify-content-between lh-condensed" *ngFor="let item of productos">
            <div>
              <h6 class="my-0">{{item.name}}</h6>
              <small class="text-muted">Costo total:</small>
            </div>
            <span class="text-muted">${{item.price * item.quantity}}.00</span>
          </li>
          <li class="list-group-item d-flex justify-content-between bg-light">
            <div class="text-success">
              <h6 class="my-0">Costo Envío</h6>
              <small *ngIf="detallesEnvio.precio === envio">{{envio}}</small>
            </div>
            <span class="text-success">${{costoEnvio}}.00</span>
          </li>
          <li class="list-group-item d-flex justify-content-between">
            <span>Total (MXN)</span>
            <strong>${{total}}.00</strong>
          </li>
        </ul>



      </div>


    </div>


  </div>
</main>